"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.COMMON_SUB_MODULE_NAME = exports.DEFAULT_LINK_AFTER = exports.FUN_DEFINE_CHUNK_NAME = exports.FC_DEFINE_CHUNK_NAME = exports.CLASS_DEFINE_CHUNK_NAME = exports.COMMON_CHUNK_NAME = void 0;
exports.COMMON_CHUNK_NAME = {
    ExternalDepsImport: 'CommonExternalDependencyImport',
    InternalDepsImport: 'CommonInternalDependencyImport',
    ImportAliasDefine: 'CommonImportAliasDefine',
    FileVarDefine: 'CommonFileScopeVarDefine',
    FileUtilDefine: 'CommonFileScopeMethodDefine',
    FileMainContent: 'CommonFileMainContent',
    FileExport: 'CommonFileExport',
    StyleDepsImport: 'CommonStyleDepsImport',
    StyleCssContent: 'CommonStyleCssContent',
    HtmlContent: 'CommonHtmlContent',
    CustomContent: 'CommonCustomContent',
};
exports.CLASS_DEFINE_CHUNK_NAME = {
    Start: 'CommonClassDefineStart',
    ConstructorStart: 'CommonClassDefineConstructorStart',
    ConstructorContent: 'CommonClassDefineConstructorContent',
    ConstructorEnd: 'CommonClassDefineConstructorEnd',
    StaticVar: 'CommonClassDefineStaticVar',
    StaticMethod: 'CommonClassDefineStaticMethod',
    InsVar: 'CommonClassDefineInsVar',
    InsVarMethod: 'CommonClassDefineInsVarMethod',
    InsMethod: 'CommonClassDefineInsMethod',
    InsPrivateMethod: 'CommonClassDefineInsPrivateMethod',
    End: 'CommonClassDefineEnd',
};
exports.FC_DEFINE_CHUNK_NAME = {
    Start: 'CommonFcDefineStart',
    ConstructorStart: 'CommonFcDefineConstructorStart',
    ConstructorContent: 'CommonFcDefineConstructorContent',
    ConstructorEnd: 'CommonFcDefineConstructorEnd',
    StaticVar: 'CommonFcDefineStaticVar',
    StaticMethod: 'CommonFcDefineStaticMethod',
    InsVar: 'CommonFcDefineInsVar',
    InsVarMethod: 'CommonFcDefineInsVarMethod',
    InsMethod: 'CommonFcDefineInsMethod',
    InsPrivateMethod: 'CommonFcDefineInsPrivateMethod',
    Hooks: 'CommonFunState',
    End: 'CommonFcDefineEnd',
};
exports.FUN_DEFINE_CHUNK_NAME = {
    Start: 'CommonFunDefineStart',
    InsVar: 'CommonFunDefineInsVar',
    StateHook: 'CommonFunDefineStateHook',
    EffectHookStart: 'CommonFunDefineEffectHookStart',
    EffectHookContent: 'CommonFunDefineEffectHookContent',
    EffectHookEnd: 'CommonFunDefineEffectHookEnd',
    InsMethod: 'CommonFunDefineInsMethod',
    ReturnStart: 'CommonFunDefineReturnStart',
    JSX: 'CommonFunDefineJSX',
    ReturnEnd: 'CommonFunDefineReturnEnd',
    End: 'CommonFunDefineEnd',
};
exports.DEFAULT_LINK_AFTER = {
    [exports.COMMON_CHUNK_NAME.ExternalDepsImport]: [],
    [exports.COMMON_CHUNK_NAME.InternalDepsImport]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
    ],
    [exports.COMMON_CHUNK_NAME.ImportAliasDefine]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
        exports.COMMON_CHUNK_NAME.InternalDepsImport,
    ],
    [exports.COMMON_CHUNK_NAME.FileVarDefine]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
        exports.COMMON_CHUNK_NAME.InternalDepsImport,
        exports.COMMON_CHUNK_NAME.ImportAliasDefine,
    ],
    [exports.COMMON_CHUNK_NAME.FileUtilDefine]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
        exports.COMMON_CHUNK_NAME.InternalDepsImport,
        exports.COMMON_CHUNK_NAME.ImportAliasDefine,
        exports.COMMON_CHUNK_NAME.FileVarDefine,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.Start]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
        exports.COMMON_CHUNK_NAME.InternalDepsImport,
        exports.COMMON_CHUNK_NAME.ImportAliasDefine,
        exports.COMMON_CHUNK_NAME.FileVarDefine,
        exports.COMMON_CHUNK_NAME.FileUtilDefine,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.ConstructorStart]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVar,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.ConstructorContent]: [
        exports.CLASS_DEFINE_CHUNK_NAME.ConstructorStart,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.ConstructorEnd]: [
        exports.CLASS_DEFINE_CHUNK_NAME.ConstructorStart,
        exports.CLASS_DEFINE_CHUNK_NAME.ConstructorContent,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.StaticVar]: [exports.CLASS_DEFINE_CHUNK_NAME.Start],
    [exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.InsVar]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.InsVarMethod]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVar,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.InsMethod]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVar,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.ConstructorEnd,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVar,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.ConstructorEnd,
    ],
    [exports.CLASS_DEFINE_CHUNK_NAME.End]: [
        exports.CLASS_DEFINE_CHUNK_NAME.Start,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticVar,
        exports.CLASS_DEFINE_CHUNK_NAME.StaticMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVar,
        exports.CLASS_DEFINE_CHUNK_NAME.InsVarMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod,
        exports.CLASS_DEFINE_CHUNK_NAME.ConstructorEnd,
    ],
    // 添加FC
    // 标记 state（hooks）在
    [exports.FUN_DEFINE_CHUNK_NAME.InsVar]: [exports.FUN_DEFINE_CHUNK_NAME.Start],
    [exports.FUN_DEFINE_CHUNK_NAME.StateHook]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.EffectHookEnd]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.InsMethod]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookEnd,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.ReturnStart]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookEnd,
        exports.FUN_DEFINE_CHUNK_NAME.InsMethod,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.JSX]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookEnd,
        exports.FUN_DEFINE_CHUNK_NAME.InsMethod,
        exports.FUN_DEFINE_CHUNK_NAME.ReturnStart,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.ReturnEnd]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookEnd,
        exports.FUN_DEFINE_CHUNK_NAME.InsMethod,
        exports.FUN_DEFINE_CHUNK_NAME.ReturnStart,
        exports.FUN_DEFINE_CHUNK_NAME.JSX,
    ],
    [exports.FUN_DEFINE_CHUNK_NAME.End]: [
        exports.FUN_DEFINE_CHUNK_NAME.Start,
        exports.FUN_DEFINE_CHUNK_NAME.InsVar,
        exports.FUN_DEFINE_CHUNK_NAME.StateHook,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookStart,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookContent,
        exports.FUN_DEFINE_CHUNK_NAME.EffectHookEnd,
        exports.FUN_DEFINE_CHUNK_NAME.InsMethod,
        exports.FUN_DEFINE_CHUNK_NAME.ReturnStart,
        exports.FUN_DEFINE_CHUNK_NAME.JSX,
        exports.FUN_DEFINE_CHUNK_NAME.ReturnEnd,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.ConstructorStart]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
        exports.FC_DEFINE_CHUNK_NAME.StaticMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsVar,
        exports.FC_DEFINE_CHUNK_NAME.InsVarMethod,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.ConstructorContent]: [
        exports.FC_DEFINE_CHUNK_NAME.ConstructorStart,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.ConstructorEnd]: [
        exports.FC_DEFINE_CHUNK_NAME.ConstructorStart,
        exports.FC_DEFINE_CHUNK_NAME.ConstructorContent,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.StaticVar]: [exports.FC_DEFINE_CHUNK_NAME.Start],
    [exports.FC_DEFINE_CHUNK_NAME.StaticMethod]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.InsVar]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
        exports.FC_DEFINE_CHUNK_NAME.StaticMethod,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.InsVarMethod]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
        exports.FC_DEFINE_CHUNK_NAME.StaticMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsVar,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.InsMethod]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
        exports.FC_DEFINE_CHUNK_NAME.StaticMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsVar,
        exports.FC_DEFINE_CHUNK_NAME.InsVarMethod,
        exports.FC_DEFINE_CHUNK_NAME.ConstructorEnd,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.InsPrivateMethod]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
        exports.FC_DEFINE_CHUNK_NAME.StaticMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsVar,
        exports.FC_DEFINE_CHUNK_NAME.InsVarMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsMethod,
        exports.FC_DEFINE_CHUNK_NAME.ConstructorEnd,
    ],
    [exports.FC_DEFINE_CHUNK_NAME.End]: [
        exports.FC_DEFINE_CHUNK_NAME.Start,
        exports.FC_DEFINE_CHUNK_NAME.StaticVar,
        exports.FC_DEFINE_CHUNK_NAME.StaticMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsVar,
        exports.FC_DEFINE_CHUNK_NAME.InsVarMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsMethod,
        exports.FC_DEFINE_CHUNK_NAME.InsPrivateMethod,
        exports.FC_DEFINE_CHUNK_NAME.ConstructorEnd,
    ],
    [exports.COMMON_CHUNK_NAME.FileMainContent]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
        exports.COMMON_CHUNK_NAME.InternalDepsImport,
        exports.COMMON_CHUNK_NAME.ImportAliasDefine,
        exports.COMMON_CHUNK_NAME.FileVarDefine,
        exports.COMMON_CHUNK_NAME.FileUtilDefine,
        exports.CLASS_DEFINE_CHUNK_NAME.End,
    ],
    [exports.COMMON_CHUNK_NAME.FileExport]: [
        exports.COMMON_CHUNK_NAME.ExternalDepsImport,
        exports.COMMON_CHUNK_NAME.InternalDepsImport,
        exports.COMMON_CHUNK_NAME.ImportAliasDefine,
        exports.COMMON_CHUNK_NAME.FileVarDefine,
        exports.COMMON_CHUNK_NAME.FileUtilDefine,
        exports.CLASS_DEFINE_CHUNK_NAME.End,
        exports.COMMON_CHUNK_NAME.FileMainContent,
    ],
    [exports.COMMON_CHUNK_NAME.StyleDepsImport]: [],
    [exports.COMMON_CHUNK_NAME.StyleCssContent]: [exports.COMMON_CHUNK_NAME.StyleDepsImport],
    [exports.COMMON_CHUNK_NAME.HtmlContent]: [],
};
exports.COMMON_SUB_MODULE_NAME = 'index';
//# sourceMappingURL=generator.js.map