"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../const/generator");
const types_1 = require("../../../types");
const pluginFactory = () => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.TSX,
            name: generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
            content: `
// 注意: 出码引擎注入的临时变量默认都以 "__$$" 开头，禁止在搭建的代码中直接访问。
// 例外：react 框架的导出名和各种组件名除外。
    import React, { useContext, useEffect } from 'react';`,
            linkAfter: [],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=reactCommonDeps.js.map