"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../const/generator");
const types_1 = require("../../../types");
const const_1 = require("./const");
const pluginFactory = (config) => {
    const cfg = Object.assign({ fileType: types_1.FileType.JSX }, config);
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        var _a;
        const next = Object.assign({}, pre);
        const ir = next.ir;
        const useRef = !!((_a = ir.analyzeResult) === null || _a === void 0 ? void 0 : _a.isUsingRef);
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
            // TODO: 下面这个路径有没有更好的方式来获取？而非写死
            content: `
        import __$$projectUtils${useRef ? ', { RefsManager }' : ''} from '../../utils';
      `,
            linkAfter: [generator_1.COMMON_CHUNK_NAME.ExternalDepsImport],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.CLASS_DEFINE_CHUNK_NAME.InsVar,
            content: '_utils = this._defineUtils();',
            linkAfter: [generator_1.CLASS_DEFINE_CHUNK_NAME.Start],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.CLASS_DEFINE_CHUNK_NAME.InsPrivateMethod,
            content: `
        _defineUtils() {
          return {
            ...__$$projectUtils,
          };
        }`,
            linkAfter: [const_1.RAX_CHUNK_NAME.ClassRenderEnd],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=containerInjectUtils.js.map