"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../const/generator");
const types_1 = require("../../../types");
const pluginFactory = (config) => {
    const cfg = Object.assign({ fileType: types_1.FileType.CSS, moduleFileType: types_1.FileType.JSX }, config);
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.fileType,
            name: generator_1.COMMON_CHUNK_NAME.StyleCssContent,
            content: ir.css,
            linkAfter: [generator_1.COMMON_CHUNK_NAME.StyleDepsImport],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: cfg.moduleFileType,
            name: generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
            content: `import './index.${cfg.fileType}';`,
            linkAfter: [generator_1.COMMON_CHUNK_NAME.ExternalDepsImport],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=css.js.map