"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../const/generator");
const compositeType_1 = require("../../utils/compositeType");
const types_1 = require("../../types");
const Scope_1 = require("../../utils/Scope");
const pluginFactory = () => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        const scope = Scope_1.Scope.createRootScope();
        const constantStr = (0, compositeType_1.generateCompositeType)(ir.constants || {}, scope);
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.FileVarDefine,
            content: `
        const __$$constants = (${constantStr});
      `,
            linkAfter: [
                generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.ImportAliasDefine,
            ],
        });
        next.chunks.push({
            type: types_1.ChunkType.STRING,
            fileType: types_1.FileType.JS,
            name: generator_1.COMMON_CHUNK_NAME.FileExport,
            content: `
        export default __$$constants;
      `,
            linkAfter: [
                generator_1.COMMON_CHUNK_NAME.ExternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.InternalDepsImport,
                generator_1.COMMON_CHUNK_NAME.ImportAliasDefine,
                generator_1.COMMON_CHUNK_NAME.FileVarDefine,
                generator_1.COMMON_CHUNK_NAME.FileUtilDefine,
                generator_1.COMMON_CHUNK_NAME.FileMainContent,
            ],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=constants.js.map