"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../../../const/generator");
const types_1 = require("../../../../../types");
const dataSource_1 = require("../../../../../utils/dataSource");
const pluginFactory = (cfg) => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        const packageJson = {
            name: (cfg === null || cfg === void 0 ? void 0 : cfg.packageName) || 'icejs-demo-app',
            version: (cfg === null || cfg === void 0 ? void 0 : cfg.packageVersion) || '0.1.5',
            description: '轻量级模板，使用 JavaScript，仅包含基础的 Layout。',
            dependencies: Object.assign({ moment: '^2.24.0', react: '^16.4.1', 'react-dom': '^16.4.1', 'react-router': '^5.2.1', '@alifd/theme-design-pro': '^0.x', 'intl-messageformat': '^9.3.6', '@ice/store': '^1.4.3', '@loadable/component': '^5.15.2' }, (0, dataSource_1.buildDataSourceDependencies)(ir, cfg === null || cfg === void 0 ? void 0 : cfg.datasourceConfig)),
            devDependencies: {
                '@ice/spec': '^1.0.0',
                'build-plugin-fusion': '^0.1.0',
                'build-plugin-moment-locales': '^0.1.0',
                eslint: '^6.0.1',
                'ice.js': '^1.0.0',
                stylelint: '^13.2.0',
            },
            scripts: {
                start: 'icejs start',
                build: 'icejs build',
                lint: 'npm run eslint && npm run stylelint',
                eslint: 'eslint --cache --ext .js,.jsx ./',
                stylelint: 'stylelint ./**/*.scss',
            },
            ideMode: {
                name: 'ice-react',
            },
            iceworks: {
                type: 'react',
                adapter: 'adapter-react-v3',
            },
            engines: {
                node: '>=8.0.0',
            },
            repository: {
                type: 'git',
                url: 'http://gitlab.xxx.com/msd/leak-scan/tree/master',
            },
            originTemplate: '@alifd/scaffold-lite-js',
        };
        ir.packages.forEach((packageInfo) => {
            packageJson.dependencies[packageInfo.package] = packageInfo.version;
        });
        next.chunks.push({
            type: types_1.ChunkType.JSON,
            fileType: types_1.FileType.JSON,
            name: generator_1.COMMON_CHUNK_NAME.FileMainContent,
            content: packageJson,
            linkAfter: [],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=packageJSON.js.map