"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const static_files_1 = require("./static-files");
const icejsTemplate = {
    slots: {
        components: {
            path: ['src', 'components'],
        },
        pages: {
            path: ['src', 'pages'],
        },
        router: {
            path: ['src'],
            fileName: 'routes',
        },
        entry: {
            path: ['src'],
            fileName: 'app',
        },
        constants: {
            path: ['src'],
            fileName: 'constants',
        },
        utils: {
            path: ['src'],
            fileName: 'utils',
        },
        i18n: {
            path: ['src'],
            fileName: 'i18n',
        },
        globalStyle: {
            path: ['src'],
            fileName: 'global',
        },
        htmlEntry: {
            path: ['public'],
            fileName: 'index',
        },
        packageJSON: {
            path: [],
            fileName: 'package',
        },
    },
    generateTemplate() {
        return (0, static_files_1.generateStaticFiles)();
    },
};
exports.default = icejsTemplate;
//# sourceMappingURL=index.js.map