"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const generator_1 = require("../../../../../const/generator");
const types_1 = require("../../../../../types");
const dataSource_1 = require("../../../../../utils/dataSource");
const pluginFactory = (cfg) => {
    const plugin = (pre) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const next = Object.assign({}, pre);
        const ir = next.ir;
        const packageJson = {
            name: (cfg === null || cfg === void 0 ? void 0 : cfg.packageName) || 'icejs3-demo-app',
            version: (cfg === null || cfg === void 0 ? void 0 : cfg.packageVersion) || '0.1.5',
            description: 'icejs 3 轻量级模板，使用 JavaScript，仅包含基础的 Layout。',
            dependencies: Object.assign({ moment: '^2.24.0', react: '^18.2.0', 'react-dom': '^18.2.0', 'react-router': '^6.9.0', 'react-router-dom': '^6.9.0', 'intl-messageformat': '^9.3.6', '@alifd/next': '1.26.15', '@ice/runtime': '~1.1.0' }, (0, dataSource_1.buildDataSourceDependencies)(ir, cfg === null || cfg === void 0 ? void 0 : cfg.datasourceConfig)),
            devDependencies: {
                '@ice/app': '~3.1.0',
                '@types/react': '^18.0.0',
                '@types/react-dom': '^18.0.0',
                '@types/node': '^18.11.17',
                '@ice/plugin-fusion': '^1.0.1',
                '@ice/plugin-moment-locales': '^1.0.0',
                eslint: '^6.0.1',
                stylelint: '^13.2.0',
            },
            scripts: {
                start: 'ice start',
                build: 'ice build',
                lint: 'npm run eslint && npm run stylelint',
                eslint: 'eslint --cache --ext .js,.jsx ./',
                stylelint: 'stylelint ./**/*.scss',
            },
            engines: {
                node: '>=14.0.0',
            },
            repository: {
                type: 'git',
                url: 'http://gitlab.xxx.com/msd/leak-scan/tree/master',
            },
            originTemplate: '@alifd/scaffold-lite-js',
        };
        ir.packages.forEach((packageInfo) => {
            packageJson.dependencies[packageInfo.package] = packageInfo.version;
        });
        next.chunks.push({
            type: types_1.ChunkType.JSON,
            fileType: types_1.FileType.JSON,
            name: generator_1.COMMON_CHUNK_NAME.FileMainContent,
            content: packageJson,
            linkAfter: [],
        });
        return next;
    });
    return plugin;
};
exports.default = pluginFactory;
//# sourceMappingURL=packageJSON.js.map