"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugins = void 0;
const tslib_1 = require("tslib");
const ProjectBuilder_1 = require("../generator/ProjectBuilder");
const esmodule_1 = tslib_1.__importDefault(require("../plugins/common/esmodule"));
const styleImport_1 = tslib_1.__importDefault(require("../plugins/common/styleImport"));
const containerClass_1 = tslib_1.__importDefault(require("../plugins/component/myreact/containerClass"));
const containerInitState_1 = tslib_1.__importDefault(require("../plugins/component/myreact/containerInitState"));
const containerInjectDataSourceEngine_1 = tslib_1.__importDefault(require("../plugins/component/myreact/containerInjectDataSourceEngine"));
const containerInjectConstants_1 = tslib_1.__importDefault(require("../plugins/component/myreact/containerInjectConstants"));
const containerLifeCycle_1 = tslib_1.__importDefault(require("../plugins/component/myreact/containerLifeCycle"));
const containerMethod_1 = tslib_1.__importDefault(require("../plugins/component/myreact/containerMethod"));
const jsx_1 = tslib_1.__importDefault(require("../plugins/component/myreact/jsx"));
const reactCommonDeps_1 = tslib_1.__importDefault(require("../plugins/component/myreact/reactCommonDeps"));
const css_1 = tslib_1.__importDefault(require("../plugins/component/style/css"));
const constants_1 = tslib_1.__importDefault(require("../plugins/project/constants"));
const i18n_1 = tslib_1.__importDefault(require("../plugins/project/i18n"));
const utils_1 = tslib_1.__importDefault(require("../plugins/project/utils"));
const icejszwh_1 = tslib_1.__importDefault(require("../plugins/project/framework/icejszwh"));
const postprocessor_1 = require("../postprocessor");
function createIceJsZwhProjectBuilder(options) {
    return (0, ProjectBuilder_1.createProjectBuilder)({
        inStrictMode: options === null || options === void 0 ? void 0 : options.inStrictMode,
        extraContextData: Object.assign({}, options),
        template: icejszwh_1.default.template,
        plugins: {
            components: [
                (0, reactCommonDeps_1.default)(),
                (0, esmodule_1.default)({
                    fileType: 'tsx',
                }),
                (0, styleImport_1.default)(),
                (0, containerClass_1.default)(),
                // containerInjectContext(),
                // containerInjectUtils(),
                (0, containerInjectDataSourceEngine_1.default)(),
                // containerInjectI18n(),
                (0, containerInjectConstants_1.default)(),
                (0, containerInitState_1.default)(),
                (0, containerLifeCycle_1.default)(),
                (0, containerMethod_1.default)(),
                (0, jsx_1.default)({
                    nodeTypeMapping: {
                        Div: 'div',
                        Component: 'div',
                        Page: 'div',
                        Block: 'div',
                    },
                }),
                (0, css_1.default)(),
            ],
            pages: [
                (0, reactCommonDeps_1.default)(),
                (0, esmodule_1.default)({
                    fileType: 'tsx',
                }),
                (0, styleImport_1.default)(),
                (0, containerClass_1.default)(),
                // containerInjectContext(),
                // containerInjectUtils(),
                // containerInjectDataSourceEngine(),
                // containerInjectI18n(),
                // containerInjectConstants(),
                // containerInitState(),
                // containerLifeCycle(),
                // containerMethod(),
                (0, jsx_1.default)({
                    nodeTypeMapping: {
                        Div: 'div',
                        Component: 'div',
                        Page: 'div',
                        Block: 'div',
                        // Box: 'div',
                    },
                }),
                (0, css_1.default)(),
            ],
            router: [(0, esmodule_1.default)(), icejszwh_1.default.plugins.router()],
            entry: [icejszwh_1.default.plugins.entry()],
            constants: [(0, constants_1.default)()],
            utils: [(0, esmodule_1.default)(), (0, utils_1.default)('react')],
            i18n: [(0, i18n_1.default)()],
            globalStyle: [icejszwh_1.default.plugins.globalStyle()],
            htmlEntry: [icejszwh_1.default.plugins.entryHtml()],
            packageJSON: [icejszwh_1.default.plugins.packageJSON()],
        },
        postProcessors: [(0, postprocessor_1.prettier)()],
        customizeBuilderOptions: options === null || options === void 0 ? void 0 : options.customizeBuilderOptions,
    });
}
exports.default = createIceJsZwhProjectBuilder;
exports.plugins = {
    containerClass: containerClass_1.default,
    // containerInjectContext,
    // containerInjectUtils,
    // containerInjectDataSourceEngine,
    // containerInjectI18n,
    // containerInjectConstants,
    // containerInitState,
    // containerLifeCycle,
    // containerMethod,
    jsx: jsx_1.default,
    commonDeps: reactCommonDeps_1.default,
    /** @deprecated Please use commonDeps */
    reactCommonDeps: reactCommonDeps_1.default,
};
//# sourceMappingURL=icejszwh.js.map