"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderedSet = void 0;
class OrderedSet {
    constructor(items) {
        this._set = new Set();
        this._arr = [];
        if (items) {
            this._set = new Set(items);
            this._arr = items.slice(0);
        }
    }
    add(item) {
        if (!this._set.has(item)) {
            this._set.add(item);
            this._arr.push(item);
        }
    }
    delete(item) {
        if (this._set.has(item)) {
            this._set.delete(item);
            this._arr.splice(this._arr.indexOf(item), 1);
        }
    }
    has(item) {
        return this._set.has(item);
    }
    toArray() {
        return this._arr.slice(0);
    }
}
exports.OrderedSet = OrderedSet;
//# sourceMappingURL=OrderedSet.js.map