"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isExternalDependency = exports.isInternalDependency = exports.isJSExpressionFn = exports.getStaticExprValue = exports.uniqueArray = exports.upperCaseFirst = exports.generateID = exports.camelize = exports.camel2dash = void 0;
const tslib_1 = require("tslib");
const change_case_1 = tslib_1.__importDefault(require("change-case"));
const short_uuid_1 = tslib_1.__importDefault(require("short-uuid"));
const types_1 = require("../types");
// Doc: https://www.npmjs.com/package/change-case
function camel2dash(input) {
    return change_case_1.default.paramCase(input);
}
exports.camel2dash = camel2dash;
/**
 * 转为驼峰
 */
function camelize(str) {
    return change_case_1.default.camelCase(str);
}
exports.camelize = camelize;
function generateID() {
    return short_uuid_1.default.generate();
}
exports.generateID = generateID;
function upperCaseFirst(inputValue) {
    return change_case_1.default.upperCaseFirst(inputValue);
}
exports.upperCaseFirst = upperCaseFirst;
function uniqueArray(arr, by) {
    const map = {};
    arr.forEach((item) => {
        map[by(item)] = item;
    });
    // FIXME: Babel 编译存在问题，暂时替换实现
    // const uniqueKeys = [...new Set<string>(Object.keys(map))];
    const uniqueKeys = Array.from(new Set(Object.keys(map)));
    const uniqueItems = uniqueKeys.map((key) => map[key]);
    return uniqueItems;
}
exports.uniqueArray = uniqueArray;
function getStaticExprValue(expr) {
    // TODO: 需要安全性检查
    // eslint-disable-next-line no-new-func
    return Function(`"use strict";return (${expr})`)();
}
exports.getStaticExprValue = getStaticExprValue;
function isJSExpressionFn(data) {
    return (data === null || data === void 0 ? void 0 : data.type) === 'JSExpression' && (data === null || data === void 0 ? void 0 : data.extType) === 'function';
}
exports.isJSExpressionFn = isJSExpressionFn;
function isInternalDependency(dependency) {
    return dependency.dependencyType === types_1.DependencyType.Internal;
}
exports.isInternalDependency = isInternalDependency;
function isExternalDependency(dependency) {
    return dependency.dependencyType === types_1.DependencyType.External;
}
exports.isExternalDependency = isExternalDependency;
//# sourceMappingURL=common.js.map