"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDataSourceDependencies = void 0;
const tslib_1 = require("tslib");
const change_case_1 = tslib_1.__importDefault(require("change-case"));
function buildDataSourceDependencies(ir, cfg = {}) {
    return Object.assign({ 
        // 数据源引擎的依赖包
        [cfg.enginePackage || '@alilc/lowcode-datasource-engine']: cfg.engineVersion || '^1.0.0' }, (ir.dataSourcesTypes || []).reduce((acc, dsType) => {
        var _a;
        return (Object.assign(Object.assign({}, acc), { [getDataSourceHandlerPackageName(dsType)]: ((_a = cfg.handlersVersion) === null || _a === void 0 ? void 0 : _a[dsType]) || '^1.0.0' }));
    }, {}));
    function getDataSourceHandlerPackageName(dsType) {
        var _a;
        return (((_a = cfg.handlersPackages) === null || _a === void 0 ? void 0 : _a[dsType]) ||
            `@alilc/lowcode-datasource-${change_case_1.default.kebab(dsType)}-handler`);
    }
}
exports.buildDataSourceDependencies = buildDataSourceDependencies;
//# sourceMappingURL=dataSource.js.map