"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calcCompatibleVersion = void 0;
const tslib_1 = require("tslib");
const semver_1 = tslib_1.__importDefault(require("semver"));
function calcCompatibleVersion(v1, v2) {
    if (!v1 && !v2) {
        return '*';
    }
    if (!v1 || v1 === '*') {
        return v2 || '*';
    }
    if (!v2 || v2 === '*') {
        return v1;
    }
    if (v1 === v2) {
        return v1;
    }
    if (!semver_1.default.intersects(v1, v2, { loose: true })) {
        throw new Error(`no compatible versions for "${v1}" and "${v2}"`);
    }
    if (semver_1.default.subset(v1, v2, { loose: true })) {
        return v1;
    }
    return v2;
}
exports.calcCompatibleVersion = calcCompatibleVersion;
//# sourceMappingURL=version.js.map